﻿using System;
using System.Data;
using System.Diagnostics;
using MySql.Data.MySqlClient;

namespace BugReport58373
{
    /// <summary>
    /// Test table has an autoincrement primary key of name 'ID' and type unsigned int with initial value of 1519668680.
    /// If the PK name is something else like 'id_maintable' we don't reproduce the bug, tada.
    /// </summary>
    public class TestBug
    {
        public static void Main(string[] args)
        {
            string strConnectionString = "Server = localhost; Database = testdb; Uid = root; Pwd = root;";

            string strInsertQueryBase = "insert into testdb.maintable (content, content2) values('{0}', '{1}')";

            MySqlConnection dbcConnection = new MySqlConnection(strConnectionString);

            dbcConnection.Open();

            string strInsertValue = Guid.NewGuid().ToString();
            string strInsertValue2 = Guid.NewGuid().ToString();
            string strInsertQuery = string.Format(strInsertQueryBase, strInsertValue, strInsertValue2);

            Log(string.Format("SQL query : {0} ", strInsertQuery));

            MySqlCommand mscCommand = new MySqlCommand(strInsertQuery, dbcConnection) { CommandType = CommandType.Text };

            try
            {
                object result = mscCommand.ExecuteScalar();

                Log(string.Format("Result of insert : {0}", result));
            }
            catch (Exception ex)
            {
                Log(string.Format("Err, error during execute scalar : {0} {1}",
                        ex.Message, ex.StackTrace));
            }

            dbcConnection.Close();
            MySqlConnection.ClearPool(dbcConnection);
        }

        private static void Log(string strMessage_)
        {
            Console.WriteLine(strMessage_);
            Debug.WriteLine(strMessage_);
        }
    }
}
